AbstractButton.ButtonChangeListener (Java Platform SE 8 )
Keywords: javax.swing.AbstractButton.ButtonChangeListener class
Date: 2026-01-21

javax.swing

## Class AbstractButton.ButtonChangeListener

- java.lang.Object
- - javax.swing.AbstractButton.ButtonChangeListener

- All Implemented Interfaces:
    Serializable, EventListener, ChangeListener
  Enclosing class:
    AbstractButton

      protected class AbstractButton.ButtonChangeListener
      extends Object
      implements ChangeListener, Serializable

  Extends `ChangeListener` to be serializable.

  Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans™ has been added to the `java.beans` package. Please see `XMLEncoder`.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `stateChanged(ChangeEvent e)` Invoked when the target of the listener has changed its state.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### stateChanged

          public void stateChanged(ChangeEvent e)

      Description copied from interface: `ChangeListener`
      Invoked when the target of the listener has changed its state.
      Specified by:
        `stateChanged` in interface `ChangeListener`
      Parameters:
        `e` - a ChangeEvent object

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.